
/*****************************************************************************/
/* GLOBAL.H                                                                  */
/*									     */
/* Copyright (c) Moxa Technologies Inc. 1999. All Rights Reserved.	     */
/*									     */
/* Revision history:							     */
/*     8/5/99   Casper                                                       */
/*     3/1/01   Casper  Add Industio                                         */
/*****************************************************************************/

#ifndef _GLOBAL_H
#define _GLOBAL_H

#define		MXSER_PORTS_PER_BOARD	8
#define 	MXSER_BOARDS		4	/* Max. boards */

#define         MXSER_MAXPORT   (MXSER_PORTS_PER_BOARD * MXSER_BOARDS)

#define		MOXA	0x400
#define		MOXA_GET_CONF	(MOXA + 35)

#ifndef		B921600
#define		B921600 (B460800 + 1)
#endif

#ifndef		CMSPAR
#define		CMSPAR 010000000000 /* mark/space parity */
#endif

#define		BOARD_TYPE	17 /* modified by George Liu 11-12-2002 */

typedef struct _moxa_pci_info{
	unsigned short busNum;
	unsigned short devNum;
} moxa_pci_info;

struct mxser_hwconf{
	int	board_type;
	int	ports;
	int	irq;
	int	vector;
	int	vector_mask;
	int	uart_type;
	int	ioaddr[MXSER_PORTS_PER_BOARD];
	int	baud[MXSER_PORTS_PER_BOARD];
	moxa_pci_info pciInfo;
	int	IsMoxaMustChipFlag;
	int	MaxCanSetBaudRate[MXSER_PORTS_PER_BOARD];
};

enum	{
	MXSER_BOARD_C168_ISA = 1,
	MXSER_BOARD_C104_ISA,
        MXSER_BOARD_CI104J,
	MXSER_BOARD_C168_PCI,
	MXSER_BOARD_C104_PCI,
	MXSER_BOARD_C102_ISA,
	MXSER_BOARD_CI132,
	MXSER_BOARD_CI134,
	MXSER_BOARD_CP132,
	MXSER_BOARD_CP114,
	MXSER_BOARD_CT114,
	MXSER_BOARD_CP102,
	MXSER_BOARD_CP104U,
	MXSER_BOARD_CP168U,
	MXSER_BOARD_CP132U,
	MXSER_BOARD_CP134U,
	MXSER_BOARD_CP104JU
};


extern  char *mxser_brdname[];
extern  int  mxser_numports[];


#endif
